View Issue Details

IDProjectCategoryView StatusLast Update
0002313SOGoBackend Mailpublic2013-06-19 14:10
Reporterbofhus Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.5 
Target Version2.0.6Fixed in Version2.0.6 
Summary0002313: ACLs are set wrong
Description

I have set SOGoForceExternalLoginWithEmail = YES;

When I share mail folder to other user, SOGo creating share
for SOGo-UID user, not for email-user.

For example: user aaa@test.pl (UID aaa-test) shares INBOX
to bbb@test.pl (UID bbb-test). ACL shares folder from user
aaa@test.pl to user bbb-test. IMAP server doesn't know
UID-based logins, so ACL fails.

TagsNo tags attached.

Activities

ludovic

ludovic

2013-06-19 14:10

administrator   ~0005667

Fix pushed: https://github.com/inverse-inc/sogo/commit/a7642868792e58cfb4c6d1614e53787b26f6fa33

Try the upcoming nightly build.

Issue History

Date Modified Username Field Change
2013-05-10 17:10 bofhus New Issue
2013-05-24 07:39 ludovic Target Version => 2.0.6
2013-06-03 10:51 lcharland Status new => assigned
2013-06-03 10:51 lcharland Assigned To => lcharland
2013-06-19 14:10 ludovic Assigned To lcharland => ludovic
2013-06-19 14:10 ludovic Note Added: 0005667
2013-06-19 14:10 ludovic Status assigned => closed
2013-06-19 14:10 ludovic Resolution open => fixed
2013-06-19 14:10 ludovic Fixed in Version => 2.0.6